package com.flyfish.framework.r2dbc.metadata.reference;

import com.flyfish.framework.domain.base.Domain;

import java.util.function.BiConsumer;

@FunctionalInterface
public interface FieldSetter extends BiConsumer<Object, Object> {

    default <T extends Domain> T setValue(T obj, Object value) {
        accept(obj, value);
        return obj;
    }
}
