package com.flyfish.framework.r2dbc.metadata.reference;

import com.flyfish.framework.annotations.Property;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.springframework.data.mapping.PersistentEntity;
import org.springframework.data.mapping.PersistentProperty;

@Data
@Property("一对多关联查询")
@AllArgsConstructor
public class R2dbcCollection {

    @Property("关联实体类")
    private PersistentEntity<?, ?> entity;

    @Property("关联字段")
    private PersistentProperty<?> field;

    @Property("目标字段")
    private FieldSetter setter;

    public static R2dbcCollection of(PersistentEntity<?, ?> entity, PersistentProperty<?> field, FieldSetter setter) {
        return new R2dbcCollection(entity, field, setter);
    }
}
